Wiki V1
Wiki Page Revisions V1
Get revision history for a specific wiki page.
GET /api/v1/knowledge/page/revisions
Get revision history for a specific wiki page.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page | string | Yes | Wiki page name. |
subreddit | string | Yes | Subreddit name. |
limit | string | No | Number of revisions (1-100). Default: 25. |
Authentication
| Header | Value |
|---|---|
X-RapidAPI-Key | Your RapidAPI key |
X-RapidAPI-Host | red-crawler1.p.rapidapi.com |
Example request
cURL
curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/knowledge/page/revisions?page=<page>&subreddit=test&limit=25" \
-H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
-H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"JavaScript
const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/knowledge/page/revisions?page=<page>&subreddit=test&limit=25", {
method: "GET",
headers: {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
});
const data = await res.json();
console.log(data);Python
import requests
url = "https://red-crawler1.p.rapidapi.com/api/v1/knowledge/page/revisions?page=<page>&subreddit=test&limit=25"
headers = {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())Example response
HTTP 200 — captured from a live call to the gateway.
{
"success": true,
"data": {
"revisions": [
{
"author": {
"kind": "t2",
"data": {
"is_employee": false,
"has_visited_new_profile": false,
"is_friend": false,
"pref_no_profanity": true,
"has_external_account": false,
"pref_geopopular": "",
"pref_show_trending": true,
"subreddit": {
"default_set": true,
"user_is_contributor": false,
"banner_img": "",
"allowed_media_in_comments": [],
"user_is_banned": false,
"free_form_reports": true,
"community_icon": null,
"show_media": true,
"icon_color": "#94B3FF",
"user_is_muted": null,
"display_name": "u_Motor_Tip8865",
"header_img": null,
"title": "",
"coins": 0,
"previous_names": [],
"over_18": false,
"icon_size": [
256,
256
],
"primary_color": "",
"icon_img": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_6.png",
"description": "",
"submit_link_label": "",
"header_size": null,
"restrict_posting": true,
"restrict_commenting": false,
"subscribers": 0,
"submit_text_label": "",
"is_default_icon": true,
"link_flair_position": "",
"display_name_prefixed": "u/Motor_Tip8865",
"key_color": "",
"name": "t5_gstmfv",
"is_default_banner": true,
"url": "/user/Motor_Tip8865/",
"quarantine": false,
"banner_size": null,
"user_is_moderator": true,
"accept_followers": true,
"public_description": "",
"link_flair_enabled": false,
"disable_contributor_requests": false,
"subreddit_type": "user",
"user_is_subscriber": false
},
"pref_show_presence": true,
"snoovatar_img": "",
"snoovatar_size": null,
"gold_expiration": null,
"has_gold_subscription": false,
"is_sponsor": false,
"num_friends": 0,
"features": {
"modmail_harassment_filter": true,
"mod_service_mute_writes": true,
"promoted_trend_blanks": true,
"show_amp_link": true,
"chat": true,
"is_email_permission_required": true,
"mod_awards": true,
"expensive_coins_package": true,
"mweb_xpromo_revamp_v2": {
"owner": "growth",
"variant": "control_1",
"experiment_id": 457
},
"awards_on_streams": true,
"mweb_xpromo_modal_listing_click_daily_dismissible_ios": true,
"chat_subreddit": true,
"modlog_copyright_removal": true,
"do_not_track": true,
"images_in_comments": true,
"mod_service_mute_reads": true,
"chat_user_settings": true,
"use_pref_account_deployment": true,
"mweb_xpromo_interstitial_comments_ios": true,
"mweb_xpromo_modal_listing_click_daily_dismissible_android": true,
"premium_subscriptions_table": true,
"mweb_xpromo_interstitial_comments_android": true,
"crowd_control_for_post": true,
"mweb_nsfw_xpromo": {
"owner": "growth",
"variant": "control_1",
"experiment_id": 361
},
"chat_group_rollout": true,
"resized_styles_images": true,
"noreferrer_to_noopener": true
},
"can_edit_name": false,
"is_blocked": false,
"verified": true,
"new_modmail_exists": true,
"pref_autoplay": true,
"coins": 0,
"has_paypal_subscription": false,
"has_subscribed_to_premium": false,
"id": "29onm7dc32",
"can_create_subreddit": true,
"over_18": true,
"is_gold": false,
"is_mod": true,
"suspension_expiration_utc": null,
"has_stripe_subscription": false,
"is_suspended": false,
"pref_video_autoplay": true,
"in_chat": true,
"has_android_subscription": false,
"in_redesign_beta": true,
"icon_img": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_6.png",
"has_mod_mail": false,
"pref_nightmode": false,
"hide_from_robots": false,
"password_set": false,
"modhash": null,
"link_karma": 1,
"force_password_reset": false,
"inbox_count": 0,
"pref_top_karma_subreddits": true,
"has_mail": false,
"pref_show_snoovatar": false,
"name": "Motor_Tip8865",
"pref_clickgadget": 5,
"created": 1772868453,
"has_verified_email": true,
"gold_creddits": 0,
"created_utc": 1772868453,
"has_ios_subscription": false,
"email": "[email protected]",
"pref_show_twitter": false,
"in_beta": false,
"comment_karma": 0,
"accept_followers": true,
"has_subscribed": true
}
},
"timestamp": 1777487302,
"page": "index",
"revision_hidden": true,
"reason": "just test ",
"id": "33ce61c6-43f9-11f1-806d-9ee3f9b2d87c"
},
{
"author": {
"kind": "t2",
"data": {
"is_employee": false,
"has_visited_new_profile": false,
"is_friend": false,
"pref_no_profanity": true,
"has_external_account": false,
"pref_geopopular": "",
"pref_show_trending": true,
"subreddit": {
"default_set": true,
"user_is_contributor": false,
"banner_img": "",
"allowed_media_in_comments": [],
"user_is_banned": false,
"free_form_reports": true,
"community_icon": null,
"show_media": true,
"icon_color": "#94B3FF",
"user_is_muted": null,
"display_name": "u_Motor_Tip8865",
"header_img": null,
"title": "",
"coins": 0,
"previous_names": [],
"over_18": false,
"icon_size": [
256,
256
],
"primary_color": "",
"icon_img": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_6.png",
"description": "",
"submit_link_label": "",
"header_size": null,
"restrict_posting": true,
"restrict_commenting": false,
"subscribers": 0,
"submit_text_label": "",
"is_default_icon": true,
"link_flair_position": "",
"display_name_prefixed": "u/Motor_Tip8865",
"key_color": "",
"name": "t5_gstmfv",
"is_default_banner": true,
"url": "/user/Motor_Tip8865/",
"quarantine": false,
"banner_size": null,
"user_is_moderator": true,
"accept_followers": true,
"public_description": "",
"link_flair_enabled": false,
"disable_contributor_requests": false,
"subreddit_type": "user",
"user_is_subscriber": false
},
"pref_show_presence": true,
"snoovatar_img": "",
"snoovatar_size": null,
"gold_expiration": null,
"has_gold_subscription": false,
"is_sponsor": false,
"num_friends": 0,
"features": {
"modmail_harassment_filter": true,
"mod_service_mute_writes": true,
"promoted_trend_blanks": true,
"show_amp_link": true,
"chat": true,
"is_email_permission_required": true,
"mod_awards": true,
"expensive_coins_package": true,
"mweb_xpromo_revamp_v2": {
"owner": "growth",
"variant": "control_1",
"experiment_id": 457
},
"awards_on_streams": true,
"mweb_xpromo_modal_listing_click_daily_dismissible_ios": true,
"chat_subreddit": true,
"modlog_copyright_removal": true,
"do_not_track": true,
"images_in_comments": true,
"mod_service_mute_reads": true,
"chat_user_settings": true,
"use_pref_account_deployment": true,
"mweb_xpromo_interstitial_comments_ios": true,
"mweb_xpromo_modal_listing_click_daily_dismissible_android": true,
"premium_subscriptions_table": true,
"mweb_xpromo_interstitial_comments_android": true,
"crowd_control_for_post": true,
"mweb_nsfw_xpromo": {
"owner": "growth",
"variant": "control_1",
"experiment_id": 361
},
"chat_group_rollout": true,
"resized_styles_images": true,
"noreferrer_to_noopener": true
},
"can_edit_name": false,
"is_blocked": false,
"verified": true,
"new_modmail_exists": true,
"pref_autoplay": true,
"coins": 0,
"has_paypal_subscription": false,
"has_subscribed_to_premium": false,
"id": "29onm7dc32",
"can_create_subreddit": true,
"over_18": true,
"is_gold": false,
"is_mod": true,
"suspension_expiration_utc": null,
"has_stripe_subscription": false,
"is_suspended": false,
"pref_video_autoplay": true,
"in_chat": true,
"has_android_subscription": false,
"in_redesign_beta": true,
"icon_img": "https://www.redditstatic.com/avatars/defaults/v2/avatar_default_6.png",
"has_mod_mail": false,
"pref_nightmode": false,
"hide_from_robots": false,
"password_set": false,
"modhash": null,
"link_karma": 1,
"force_password_reset": false,
"inbox_count": 0,
"pref_top_karma_subreddits": true,
"has_mail": false,
"pref_show_snoovatar": false,
"name": "Motor_Tip8865",
"pref_clickgadget": 5,
"created": 1772868453,
"has_verified_email": true,
"gold_creddits": 0,
"created_utc": 1772868453,
"has_ios_subscription": false,
"email": "[email protected]",
"pref_show_twitter": false,
"in_beta": false,
"comment_karma": 0,
"accept_followers": true,
"has_subscribed": true
}
},
"timestamp": 1777487165,
"page": "index",
"revision_hidden": false,
"reason": "test",
"id": "e23166b0-43f8-11f1-8841-4a9d608a3781"
}
],
"cursor": null
},
"error": null,
"timestamp": "2026-04-29T19:00:50.967079+00:00"
}